SXVOL-REMOVE(1)

NAME
sxvol-remove - remove volumes from SX clusters

SYNOPSIS
sxvol remove [OPTIONS] sx://[profile@]cluster/volume

DESCRIPTION
Remove an empty volume from a cluster. Only cluster administrators can remove volumes and for safety reasons, it is not possible to remove a volume until all its files get deleted first (see sxrm(1) on how to delete files).

OPTIONS

-h, --help
    Print help and exit

--full-help
    Print help, including hidden options, and exit

-V, --version
    Print version and exit

-D, --debug
    Enable debug messages

-c, --config-dir=PATH
    Path to the SX configuration directory (default: ~/.sx)

-f, --filter-dir=PATH
    Path to the SX filter directory (default: @SX_FILTER_DIR@)

EXAMPLES
To remove a non-empty volume 'trash' first recursively remove all its files and then remove the volume itself:
sxrm -r sx://admin@cluster/trash sxvol remove sx://admin@cluster/trash

SEE ALSO
sxvol-create(1), sxvol-modify(1), sxvol-filter(1)